opam-version: "2.0"
maintainer: "contact@tezos.com"
authors: [ "Tezos devteam" ]
homepage: "https://www.tezos.com/"
bug-reports: "https://gitlab.com/tezos/tezos/issues"
dev-repo: "git+https://gitlab.com/tezos/tezos.git"
license: "MIT"
depends: [
  "tezos-tooling" { with-test }
  "ocamlfind" { build }
  "dune" { >= "1.7" }
  "tezos-base"
  "tezos-protocol-compiler"
  "alcotest-lwt" { with-test }
  "tezos-alpha-test-helpers" { with-test }
  "tezos-stdlib-unix" { with-test }
  "tezos-protocol-environment" { with-test }
  "tezos-protocol-alpha-parameters" { with-test }
  "tezos-shell-services" { with-test }
  "bip39" { with-test }
]
build: [
  [
    "%{tezos-protocol-compiler:lib}%/replace"
    "%{tezos-protocol-compiler:lib}%/dune_protocol.template"
    "dune"
    "alpha"
  ]
  ["dune" "build" "-p" name "-j" jobs]
  ["dune" "runtest" "-p" name "-j" jobs] {with-test}
]
synopsis: "Tezos/Protocol: tests for economic-protocol definition"
